local e=require"nixio.fs"
local o=Map("nginx-manager",translate("Nginx Manager"),translate("A simple Nginx manager")..[[<br /><br /><a href="https://github.com/sundaqiang/openwrt-packages" target="_blank">Powered by sundaqiang</a>]])
s=o:section(TypedSection,"nginx",translate("Web site list"))
s.template="nginx-manager/index"
s.addremove=true
s.anonymous=false
s:tab("general",translate("General Info"))
s:tab("server",translate("Configuration File"))
s:taboption("general",DummyValue,"name",translate("name"))
s:taboption("general",DummyValue,"filepath",translate("File Path"))
file=s:taboption("server",TextValue,"")
file.template="cbi/tvalue"
file.rows=25
file.wrap="off"
file.rmempty=true
function s.create(a,t)
path="/etc/nginx/conf.d/"..t..".conf"
e.copyr("/etc/nginx/conf.d/templates",path)
TypedSection.create(a,t)
a.map:set(t,"name",t)
a.map:set(t,"filepath",path)
return true
end
function s.remove(a,t)
path="/etc/nginx/conf.d/"..t..".conf"
e.remove(path)
TypedSection.remove(a,t)
end
function sync_value_to_file(t,a)
t=t:gsub("\r\n?","\n")
local o=e.readfile(a)
if t~=o then
e.writefile(a,t)
end
end
function file.cfgvalue(a,t)
return e.readfile(a.map:get(t,"filepath"))or""
end
function file.write(e,t,a)
sync_value_to_file(a,e.map:get(t,"filepath"))
end
return o
